# salt.states.mac_xattr

## Allows you to manage extended attributes on files or directories

Install, enable and disable assistive access on macOS minions

    /path/to/file:
      xattr.exists:
        - attributes:
            - com.file.attr=test
            - com.apple.quarantine=0x00001111

salt.states.mac_xattr.delete(name, attributes)

  Make sure the given attributes are deleted from the file/directory

  name

    The path to the file/directory

  attributes

    The attributes that should be removed from the file/directory, this is accepted as an array.

salt.states.mac_xattr.exists(name, attributes)

  Make sure the given attributes exist on the file/directory

  name

    The path to the file/directory

  attributes

    The attributes that should exist on the file/directory, this is accepted as an array, with key and value split with an equals sign, if you want to specify a hex value then add 0x to the beginning of the value.